Open vSwitch on NetBSD

On NetBSD, you might want to install requirements from pkgsrc. In that case, you need at least the following packages.

  • automake
  • libtool-base
  • gmake
  • python37
  • py37-six

Some components have additional requirements. Refer to Open vSwitch on Linux, FreeBSD and NetBSD for more information.

Assuming you are running NetBSD/amd64 7.0.2, you can download and install pre-built binary packages as the following:

$ PKG_PATH=http://ftp.netbsd.org/pub/pkgsrc/packages/NetBSD/amd64/7.0.2/All/
$ export PKG_PATH
$ pkg_add automake libtool-base gmake python37 py37-six pkg_alternatives

Note

You might get some warnings about minor version mismatch. These can be safely ignored.

NetBSD’s /usr/bin/make is not GNU make. GNU make is installed as /usr/pkg/bin/gmake by the above mentioned gmake package.

As all executables installed with pkgsrc are placed in /usr/pkg/bin/ directory, it might be a good idea to add it to your PATH. Or install OVS by gmake and gmake install.

Open vSwitch on NetBSD is currently “userspace switch” implementation in the sense described in Open vSwitch without Kernel Support and Porting Open vSwitch to New Software or Hardware.